#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int n,m,o,ukupno;
	cin >> n >> m;
	o = n*m-(n-2)*(m-2);
	if(m%2==0)
	{
		ukupno = o+((n*m-o)/2);
		cout << ukupno;
	}
	else
	{
		if(n%2==0)
		{
			ukupno = o + ((n-2)*(m-2))/2;
			cout << ukupno;
		}
		else 
		{
			ukupno = o + ((n-3)*(m-2))/2+(m-2)/2;
			
			cout << ukupno;
		}
	}
	
	
	return 0;
}